Bug 159763 - security/sguil-server, maintainer update
Summary: security/sguil-server, maintainer update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-14 11:50 UTC by pauls
Modified: 2011-08-16 23:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2011-08-14 11:50:06 UTC
	security/sguil-server, modify a patch and two more
	to adjust to changes made in mysql server 5.5

Fix: 

-- 
Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/infosecurity/--EWqymCApI4LL6TX9Sq547nRIsf0AOqmyLHoO9wAkR272lHq7
Content-Type: text/plain; name="sguil-server.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="sguil-server.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/security/sguil-server/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	22 Aug 2009 00:35:05 -0000	1.9
+++ Makefile	11 Aug 2011 20:36:10 -0000
@@ -7,7 +7,7 @@

 PORTNAME=	sguil-server
 PORTVERSION=	0.7.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	security
 MASTER_SITES=	SF/sguil/sguil/sguil-${PORTVERSION}

Index: files/patch-lib-SguildLoaderd.tcl
===================================================================
RCS file: 
/home/ncvs/ports/security/sguil-server/files/patch-lib-SguildLoaderd.tcl,v
retrieving revision 1.1
diff -u -r1.1 patch-lib-SguildLoaderd.tcl
--- files/patch-lib-SguildLoaderd.tcl	7 Jul 2009 13:20:24 -0000	1.1
+++ files/patch-lib-SguildLoaderd.tcl	11 Aug 2011 20:36:10 -0000
@@ -1,5 +1,23 @@
---- lib/SguildLoaderd.tcl.bak	2009-07-06 14:53:16.000000000 -0500
-+++ lib/SguildLoaderd.tcl	2009-07-06 14:53:56.000000000 -0500
+--- lib/SguildLoaderd.tcl.orig	2007-09-25 14:17:13.000000000 +0000
++++ lib/SguildLoaderd.tcl	2011-08-11 20:22:18.000000000 +0000
+@@ -129,7 +129,7 @@
+         INDEX dst_port (dst_port),                         \
+         INDEX src_port (src_port),                         \
+         INDEX start_time (start_time)                      \
+-        )                                                  \
++        ) ENGINE=MyISAM                                    \
+         "
+
+     # Create the table
+@@ -182,7 +182,7 @@
+         INDEX dst_port (dst_port),                         \
+         INDEX src_port (src_port),                         \
+         INDEX start_time (start_time)                      \
+-        ) TYPE=MERGE UNION=([join $tmpTables ,])      \
++        ) ENGINE=MERGE UNION=([join $tmpTables ,])      \
+         "
+     # Create our MERGE sancp table
+     mysqlexec $dbSocketID $createQuery
 @@ -225,7 +225,7 @@
      } else {
          # Make sure its a MERGE table and not the old monster
Index: files/patch-sql_scripts-create_sguildb.sql
===================================================================
RCS file: files/patch-sql_scripts-create_sguildb.sql
diff -N files/patch-sql_scripts-create_sguildb.sql
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-sql_scripts-create_sguildb.sql	11 Aug 2011 20:36:10 -0000
@@ -0,0 +1,157 @@
+--- sql_scripts/create_sguildb.sql.orig	2007-03-17 02:43:37.000000000 +0000
++++ sql_scripts/create_sguildb.sql	2011-08-09 22:21:09.000000000 +0000
+@@ -52,10 +52,10 @@
+ --  INDEX status (status),
+ --  INDEX abuse_queue (abuse_queue),
+ --  INDEX abuse_sent (abuse_sent)
+---);
++-- );
+
+---CREATE TABLE tcphdr
+---(
++-- CREATE TABLE tcphdr
++-- (
+ --  sid		INT UNSIGNED	NOT NULL,
+ --  cid		INT UNSIGNED	NOT NULL,
+ --  tcp_seq	INT UNSIGNED,
+@@ -68,16 +68,16 @@
+ --  tcp_urp	SMALLINT UNSIGNED,
+ --  PRIMARY KEY (sid,cid));
+ --
+---CREATE TABLE udphdr
+---(
++-- CREATE TABLE udphdr
++-- (
+ --  sid		INT UNSIGNED	NOT NULL,
+ --  cid		INT UNSIGNED	NOT NULL,
+ --  udp_len	SMALLINT UNSIGNED,
+ --  udp_csum	SMALLINT UNSIGNED,
+ --  PRIMARY KEY (sid,cid));
+ --
+---CREATE TABLE icmphdr
+---(
++-- CREATE TABLE icmphdr
++-- (
+ --  sid		INT UNSIGNED	NOT NULL,
+ --  cid		INT UNSIGNED	NOT NULL,
+ --  icmp_csum	SMALLINT UNSIGNED,
+@@ -85,8 +85,8 @@
+ --  icmp_seq	SMALLINT UNSIGNED,
+ --  PRIMARY KEY (sid,cid));
+ --
+---CREATE TABLE data
+---(
++-- CREATE TABLE data
++-- (
+ --  sid           INT UNSIGNED    NOT NULL,
+ --  cid           INT UNSIGNED    NOT NULL,
+ --  data_payload	TEXT,
+@@ -101,13 +101,13 @@
+   interface	VARCHAR(255),
+   description	TEXT,
+   bpf_filter	TEXT,
+-  updated	TIMESTAMP(14) NOT NULL,
++  updated	TIMESTAMP NOT NULL,
+   active	ENUM('Y','N') DEFAULT 'Y',
+   ip		VARCHAR(15) DEFAULT NULL,
+   public_key	VARCHAR(255) DEFAULT NULL,
+   PRIMARY KEY (sid),
+   INDEX hostname_idx (hostname)
+-);
++) ENGINE=MyISAM;
+
+ CREATE TABLE portscan
+ (
+@@ -119,7 +119,8 @@
+   dst_port	INT UNSIGNED,
+   data		TEXT,
+   INDEX ps_src_ip (src_ip),
+-  INDEX ps_timestamp (timestamp));
++  INDEX ps_timestamp (timestamp)
++) ENGINE=MyISAM;
+
+ -- Depreciated
+ -- CREATE TABLE sessions (
+@@ -150,7 +151,7 @@
+   description	VARCHAR(255) NOT NULL,
+   long_desc     VARCHAR(255),
+   PRIMARY KEY (status_id)
+-);
++) ENGINE=MyISAM;
+
+ CREATE TABLE history
+ (
+@@ -161,7 +162,7 @@
+   status	SMALLINT UNSIGNED	NOT NULL,
+   comment	VARCHAR(255),
+   INDEX log_time (timestamp)
+-);
++) ENGINE=MyISAM;
+
+ CREATE TABLE user_info
+ (
+@@ -169,7 +170,7 @@
+   username	VARCHAR(16)	NOT NULL,
+   last_login	DATETIME	NOT NULL,
+   PRIMARY KEY (uid)
+-);
++) ENGINE=MyISAM;
+
+ CREATE TABLE nessus_data
+ (
+@@ -178,7 +179,8 @@
+   nessus_id     INT UNSIGNED,
+   level	        VARCHAR(20),
+   description		TEXT,
+-  INDEX rid (rid));
++  INDEX rid (rid)
++) ENGINE=MyISAM;
+
+ CREATE TABLE nessus
+ (
+@@ -188,7 +190,8 @@
+   timestart     DATETIME,
+   timeend       DATETIME,
+   PRIMARY KEY (rid),
+-  INDEX ip (ip));
++  INDEX ip (ip)
++) ENGINE=MyISAM;
+
+ CREATE TABLE IF NOT EXISTS `pads`
+ (
+@@ -203,12 +206,12 @@
+   application           VARCHAR(255)     NOT NULL,
+   hex_payload           VARCHAR(255),
+   PRIMARY KEY (sid,asset_id)
+-);
++) ENGINE=MyISAM;
+
+ --
+ -- Depreciated for MERGE tables
+---CREATE TABLE sancp
+---(
++-- CREATE TABLE sancp
++-- (
+ --  sid		INT UNSIGNED	NOT NULL,
+ --  sancpid	BIGINT UNSIGNED	NOT NULL,
+ --  start_time	DATETIME	NOT NULL,
+@@ -231,8 +234,8 @@
+ --  INDEX dst_port (dst_port),
+ --  INDEX src_port (src_port),
+ --  INDEX start_time (start_time)
+---);
+---
++-- );
++--
+
+ INSERT INTO status (status_id, description, long_desc) VALUES (0, "New", 
"Real Time Event");
+ INSERT INTO status (status_id, description, long_desc) VALUES (1, "No 
Further Action Required", "No Further Action Required");
+@@ -250,7 +253,7 @@
+ (
+   version	VARCHAR(32),
+   installed	DATETIME
+-);
++) ENGINE=MyISAM;
+
+ INSERT INTO version (version, installed) VALUES ("0.12", now());
+
Index: files/patch-sql_scripts-sancp_cleanup.tcl
===================================================================
RCS file: files/patch-sql_scripts-sancp_cleanup.tcl
diff -N files/patch-sql_scripts-sancp_cleanup.tcl
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-sql_scripts-sancp_cleanup.tcl	11 Aug 2011 20:36:10 -0000
@@ -0,0 +1,11 @@
+--- sql_scripts/sancp_cleanup.tcl.orig	2011-08-11 20:31:07.000000000 +0000
++++ sql_scripts/sancp_cleanup.tcl	2011-08-11 20:31:26.000000000 +0000
+@@ -214,7 +214,7 @@
+     INDEX dst_port (dst_port),                         \
+     INDEX src_port (src_port),                         \
+     INDEX start_time (start_time)                      \
+-    ) TYPE=MERGE UNION=([join $tmpTables ,])      \
++    ) ENGINE=MERGE UNION=([join $tmpTables ,])      \
+     "
+ # Create our MERGE sancp table
+ mysqlexec $dbSocketID $createQuery
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2011-08-14 17:00:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-08-16 22:51:11 UTC
zi          2011-08-16 21:50:58 UTC

  FreeBSD ports repository

  Modified files:
    security/sguil-server Makefile 
    security/sguil-server/files patch-lib-SguildLoaderd.tcl 
  Added files:
    security/sguil-server/files 
                                patch-sql_scripts-create_sguildb.sql 
                                patch-sql_scripts-sancp_cleanup.tcl 
  Log:
  Improve interoperability with mysql-server 5.5
  
  PR:             ports/159763
  Submitted by:   Paul Schmehl <pauls@utdallas.edu> (maintainer)
  Approved by:    wxs (mentor)
  
  Revision  Changes    Path
  1.10      +1 -1      ports/security/sguil-server/Makefile
  1.2       +20 -2     ports/security/sguil-server/files/patch-lib-SguildLoaderd.tcl
  1.1       +157 -0    ports/security/sguil-server/files/patch-sql_scripts-create_sguildb.sql (new)
  1.1       +11 -0     ports/security/sguil-server/files/patch-sql_scripts-sancp_cleanup.tcl (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ryan Steinmetz freebsd_committer freebsd_triage 2011-08-16 22:52:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!